Notify Message
Forums
Page 1
Search
#14260183 Dec 04, 2019 at 03:22 AM
Veteran DM
209 Posts
The new NWN:EE patch has now come out on Steam. I have the GoG version of the game, so am still waiting for it to appear there.

Since multiple players have the Steam version, which will auto-update, we'll go ahead and make the 1.79 patch a requirement for the next session.

There are some configuration changes, so please pay special attention to your client settings, which are now in a file called settings.tml, instead of nwn and nwnplayer.ini files. One thing that could affect play is the default to windowed mode instead of fullscreen, which can impact things like camera rotation. It's recommended to go back to fullscreen mode.

Below is a link with the described patch changes. You may want to look at the Beamdog NWN:EE forum or Google it if you run into some specific issue in making the upgrade.

https://www.reddit.com/r/neverwinternights/comments/e5gu9n/neverwinter_nights_enhanced_edition_179_patch/

I expect I'll at least temporarily revert to hosting on my computer rather than on a cloud server, as the server files and database structure have changed. This will mean a bit more lag, so fair warning.
#14261587 Dec 06, 2019 at 07:06 AM
Veteran DM
209 Posts
So the patch still hasn't dropped for the GoG version, although two days ago Beamdog posted a "working on it, soon" notice on the GoG forum. With two days to go until our session, I'd give it maybe a 50/50 chance of appearing.

There also seem to be a number of issues with the patch and maybe a hotfix is in the works at the same time.

Normally on Steam there's an option for games to not automatically update, or to be fixed at a previous patch version. I would now recommend NOT updating to the new version for this Sunday's session, if possible. Everything works with the old version and I'll need at least some time to convert the mod and server setup to the new version, once it's released for GoG.

Would appreciate it if one of our Steam players could post on the issue, i.e. if a revert is possible on that platform.
#14261634 Dec 06, 2019 at 09:01 AM · Edited 7 months ago
Veteran DM
123 Posts
If it helps, quoted from LB's thread:

// Ok, so if anyone else was in my situation, we appear to have worked around/fixed it.

If you allow beta participation on Steam, then you can go to the "BETAS" tab in the game's properties menu and select the drop down menu and click on "oldstable" which should roll back the version to the one we have been using.
Old enough to know better, too old to care.
#14262661 Dec 08, 2019 at 12:52 AM
Veteran DM
209 Posts
Thanks, that should help our Steam players.
#14262790 Dec 08, 2019 at 08:19 AM
51 Posts
So just to clarify, are Steam players rolling back to oldstable? May be useful to have a separate thread if that's the case, to avoid wasted time at the beginning of the session with downloading/IT issues etc
#14262793 Dec 08, 2019 at 08:24 AM
55 Posts
If oldstable is what works then I can roll back to it, shouldn't be an issue.
#14262795 Dec 08, 2019 at 08:25 AM
Veteran DM
209 Posts
#14262790 Face wrote:

So just to clarify, are Steam players rolling back to oldstable? May be useful to have a separate thread if that's the case, to avoid wasted time at the beginning of the session with downloading/IT issues etc



Yes, that is the same outcome as not updating to 1.79.
#14265138 Dec 11, 2019 at 11:26 PM
Veteran DM
209 Posts
The new patch is now out on GoG, but Beamdog is still working out some kinks, it looks like.

My preference would be to stay at the oldstable (1.78) version through the remainder of our December sessions (or at least definitely the next one on the 15th), unless that causes anyone particular hardship. That will allow some time for additional hotfixes/updates to be released. For January, the campaign would then officially update to 1.79.
#14265913 Dec 13, 2019 at 07:46 AM
55 Posts
Sounds good to me. I'm down for whatever works for everyone.
#14267063 Dec 15, 2019 at 11:30 AM
Veteran DM
209 Posts
Per the post in today's session topic, GoG auto-updated my version and I don't think I can roll it back, so please update to 1.79. Grr.
Page 1